Commerce
/- Sends out a preview of the email
Returns a list of records with the specified tenant_id
Creates a new coupon code record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns a list of records with the specified coupon_id
Returns a list of records with the specified order_id
Returns a list of records with the specified organization_id
Returns a coupon code from the system by its ID.
Returns a coupon code from the system by its ID.
Partially updates a coupon code with the specified ID.
Updates a coupon code with the specified ID.
Sends out a preview of th...
Sends out a preview of the email
Security
knox-authorizer
The domain_name to use to for record lookup
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/couponCodes/{tenantId}/previewEmail
- https://commerce.api.rhythmsoftware.comhttps://commerce.api.rhythmsoftware.com/couponCodes/{tenantId}/previewEmail
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/couponCodes/{tenantId}/previewEmail' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"cancellation_id": "string",
"coupon_id": "string",
"coupon_type": "string",
"destination_email_address": "string",
"email_template": {
"bcc": "string",
"body": "string",
"cc": "string",
"from": "string",
"from_name": "string",
"reply_to": "string",
"subject": "string"
},
"order_id": "string",
"order_item_line_number": 0.1,
"return_id": "string",
"shipment_id": "string"
}'